Extension { #name : 'PPCharSetPredicate' }

{ #category : '*petitcompiler' }
PPCharSetPredicate >> = anObject [
	self == anObject ifTrue: [ ^ true ].
	self class == anObject class ifFalse: [ ^ false ].
	^ classification = anObject classification
]

{ #category : '*petitcompiler' }
PPCharSetPredicate >> block [
	^ block
]

{ #category : '*petitcompiler' }
PPCharSetPredicate >> block: value [
	block := value
]

{ #category : '*petitcompiler' }
PPCharSetPredicate >> classification [
	^ classification
]

{ #category : '*petitcompiler' }
PPCharSetPredicate >> classification: value [
	classification := value
]

{ #category : '*petitcompiler' }
PPCharSetPredicate >> equals: anotherPredicate [
	self == anotherPredicate ifTrue: [ ^ true ].
	self class == anotherPredicate class ifFalse: [ ^ false ].
	
	^ classification  = anotherPredicate classification.
]

{ #category : '*petitcompiler' }
PPCharSetPredicate >> hash [
	^ classification hash
]
