Class {
	#name : 'PPCContextAnalysisEnvironment',
	#superclass : 'Object',
	#instVars : [
		'pushSet',
		'popSet',
		'changeSet'
	],
	#category : 'PetitCompiler-Support'
}

{ #category : 'instance creation' }
PPCContextAnalysisEnvironment class >> new [
	^ self basicNew initialize
]

{ #category : 'as yet unclassified' }
PPCContextAnalysisEnvironment >> changes [
	^ changeSet 
]

{ #category : 'as yet unclassified' }
PPCContextAnalysisEnvironment >> initialize [
	super initialize.
	
	pushSet := IdentitySet new.
	popSet  := IdentitySet new.
	changeSet := IdentitySet new.
]

{ #category : 'as yet unclassified' }
PPCContextAnalysisEnvironment >> pops [
	^ popSet 
]

{ #category : 'as yet unclassified' }
PPCContextAnalysisEnvironment >> pushes [
	^ pushSet 
]
